# RemoteJobScraper 💻🌏

Ruby gem that collects job offers for remote positions with ease.

Going through many job listings and finding the right one may be a time-consuming process. That's why this tool has been built. It allows to automate the process, retrieve necessary data and store it in CSV/Excel file in just a few minutes. The main focus is to inform an user about the location (time-zone) required for a position.

![screenshot](http://i67.tinypic.com/2ewfj3a.png)

## Installation

    $ gem install remote_job_scraper

## Usage

    $ remote_job_scraper

* Supported Ruby versions:

  * [x] 2.4.1
  * [ ] 2.0.0 (https://github.com/rafaltrojanowski/remote_job_scraper/issues/1)

## Running test

Running test:

```
$ rspec spec
```

A few tests run very slow because they parse a huge amount of pages.
You can skip slow tests by running:

```
$ rspec . --tag ~speed:slow
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Debugging
```
require 'byebug'
byebug
```

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/rafaltrojanowski/remote_job_scraper. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the RemoteJobScraper project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/remote_job_scraper/blob/master/CODE_OF_CONDUCT.md).
